#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QLabel>
#include <Phonon>
#include <QFileDialog>

#include <QTime>

namespace Ui {
    class Widget;
}

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = 0);
    ~Widget();

private:
    Ui::Widget *ui;

    Phonon::VideoPlayer     *_vplayer;
    Phonon::VolumeSlider    *_vslider;
    Phonon::SeekSlider      *_sslider;
    Phonon::MediaObject     *_mobject;
    Phonon::AudioOutput     *_aoutput;
    QLabel *played;
    QLabel *total;
    bool    _stateTime;


private slots:
    void    updateTime();
    void    loadFile();
};

#endif // WIDGET_H
